<?php

if (!defined('BASEPATH')) exit('No direct script access allowed');

require_once BASEPATH.'application/libraries/smarty/Smarty.class.php';

/**
 * @file system/libraries/CI_Smarty.php
 */
class CI_Smarty extends Smarty
{
	function CI_Smarty()
	{
		$config =& get_config();
		
		$this->Smarty();
	
		$this->template_dir = (@$config['smarty_template_dir'] != '') ? $config['smarty_template_dir'] : BASEPATH.'application/views';
		$this->compile_dir = BASEPATH.'cache/'; //use CI's cache folder
	}
} // END class CI_Smarty

?>